gstreamer-0.12.1.2: Binding to the GStreamer open source multimedia framework.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Media.Streaming.GStreamer.Core.Hierarchy

Description

This file reflects the Gtk+ object hierarchy in terms of Haskell classes.

Note: the mk... functions were originally meant to simply be an alias for the constructor. However, in order to communicate the destructor of an object to objectNew, the mk... functions are now a tuple containing Haskell constructor and the destructor function pointer. This hack avoids changing all modules that simply pass mk... to objectNew.

# Documentation

module System.Glib.GObject

newtype Object

Constructors

Object (ForeignPtr Object) |

Instances

Eq Object |
Ord Object |
GObjectClass Object |
ObjectClass Object |

class GObjectClass o => ObjectClass o

Instances

ObjectClass CollectPads |
ObjectClass ChildProxy |
ObjectClass XML |
ObjectClass Task |
ObjectClass PadTemplate |
ObjectClass Index |
ObjectClass NetClientClock |
ObjectClass SystemClock |
ObjectClass AudioClock |
ObjectClass Clock |
ObjectClass Bus |
ObjectClass Registry |
ObjectClass Plugin |
ObjectClass BaseTransform |
ObjectClass BaseSink |
ObjectClass PushSrc |
ObjectClass BaseSrc |
ObjectClass TagSetter |
ObjectClass ImplementsInterface |
ObjectClass Pipeline |
ObjectClass Bin |
ObjectClass Element |
ObjectClass IndexFactory |
ObjectClass TypeFindFactory |
ObjectClass ElementFactory |
ObjectClass PluginFeature |
ObjectClass GhostPad |
ObjectClass Pad |
ObjectClass Object |

toObject :: ObjectClass o => o -> Object

mkObject :: (ForeignPtr Object -> Object, FinalizerPtr a)

unObject :: Object -> ForeignPtr Object

castToObject :: GObjectClass obj => obj -> Object

gTypeObject :: GType

newtype Pad

Constructors

Pad (ForeignPtr Pad) |

Instances

Eq Pad |
Ord Pad |
GObjectClass Pad |
PadClass Pad |
ObjectClass Pad |
Iterable Pad |

class ObjectClass o => PadClass o

Instances

PadClass GhostPad |
PadClass Pad |

toPad :: PadClass o => o -> Pad

mkPad :: (ForeignPtr Pad -> Pad, FinalizerPtr a)

unPad :: Pad -> ForeignPtr Pad

castToPad :: GObjectClass obj => obj -> Pad

gTypePad :: GType

newtype GhostPad

Constructors

GhostPad (ForeignPtr GhostPad) |

Instances

Eq GhostPad |
Ord GhostPad |
GObjectClass GhostPad |
GhostPadClass GhostPad |
PadClass GhostPad |
ObjectClass GhostPad |

class PadClass o => GhostPadClass o

Instances

GhostPadClass GhostPad |

toGhostPad :: GhostPadClass o => o -> GhostPad

mkGhostPad :: (ForeignPtr GhostPad -> GhostPad, FinalizerPtr a)

unGhostPad :: GhostPad -> ForeignPtr GhostPad

castToGhostPad :: GObjectClass obj => obj -> GhostPad

gTypeGhostPad :: GType

newtype PluginFeature

Constructors

PluginFeature (ForeignPtr PluginFeature) |

Instances

Eq PluginFeature |
Ord PluginFeature |
GObjectClass PluginFeature |
PluginFeatureClass PluginFeature |
ObjectClass PluginFeature |

class ObjectClass o => PluginFeatureClass o

Instances

PluginFeatureClass IndexFactory |
PluginFeatureClass TypeFindFactory |
PluginFeatureClass ElementFactory |
PluginFeatureClass PluginFeature |

toPluginFeature :: PluginFeatureClass o => o -> PluginFeature

mkPluginFeature :: (ForeignPtr PluginFeature -> PluginFeature, FinalizerPtr a)

unPluginFeature :: PluginFeature -> ForeignPtr PluginFeature

castToPluginFeature :: GObjectClass obj => obj -> PluginFeature

gTypePluginFeature :: GType

newtype ElementFactory

Constructors

ElementFactory (ForeignPtr ElementFactory) |

Instances

Eq ElementFactory |
Ord ElementFactory |
GObjectClass ElementFactory |
ElementFactoryClass ElementFactory |
PluginFeatureClass ElementFactory |
ObjectClass ElementFactory |

class PluginFeatureClass o => ElementFactoryClass o

Instances

ElementFactoryClass ElementFactory |

toElementFactory :: ElementFactoryClass o => o -> ElementFactory

mkElementFactory :: (ForeignPtr ElementFactory -> ElementFactory, FinalizerPtr a)

unElementFactory :: ElementFactory -> ForeignPtr ElementFactory

castToElementFactory :: GObjectClass obj => obj -> ElementFactory

gTypeElementFactory :: GType

newtype TypeFindFactory

Constructors

TypeFindFactory (ForeignPtr TypeFindFactory) |

Instances

Eq TypeFindFactory |
Ord TypeFindFactory |
GObjectClass TypeFindFactory |
TypeFindFactoryClass TypeFindFactory |
PluginFeatureClass TypeFindFactory |
ObjectClass TypeFindFactory |

class PluginFeatureClass o => TypeFindFactoryClass o

Instances

TypeFindFactoryClass TypeFindFactory |

toTypeFindFactory :: TypeFindFactoryClass o => o -> TypeFindFactory

mkTypeFindFactory :: (ForeignPtr TypeFindFactory -> TypeFindFactory, FinalizerPtr a)

unTypeFindFactory :: TypeFindFactory -> ForeignPtr TypeFindFactory

castToTypeFindFactory :: GObjectClass obj => obj -> TypeFindFactory

gTypeTypeFindFactory :: GType

newtype IndexFactory

Constructors

IndexFactory (ForeignPtr IndexFactory) |

Instances

Eq IndexFactory |
Ord IndexFactory |
GObjectClass IndexFactory |
IndexFactoryClass IndexFactory |
PluginFeatureClass IndexFactory |
ObjectClass IndexFactory |

class PluginFeatureClass o => IndexFactoryClass o

Instances

IndexFactoryClass IndexFactory |

toIndexFactory :: IndexFactoryClass o => o -> IndexFactory

mkIndexFactory :: (ForeignPtr IndexFactory -> IndexFactory, FinalizerPtr a)

unIndexFactory :: IndexFactory -> ForeignPtr IndexFactory

castToIndexFactory :: GObjectClass obj => obj -> IndexFactory

gTypeIndexFactory :: GType

newtype Element

Constructors

Element (ForeignPtr Element) |

Instances

Eq Element |
Ord Element |
GObjectClass Element |
ElementClass Element |
ObjectClass Element |
Iterable Element |

class ObjectClass o => ElementClass o

Instances

ElementClass BaseTransform |
ElementClass BaseSink |
ElementClass PushSrc |
ElementClass BaseSrc |
ElementClass TagSetter |
ElementClass ImplementsInterface |
ElementClass Pipeline |
ElementClass Bin |
ElementClass Element |

toElement :: ElementClass o => o -> Element

mkElement :: (ForeignPtr Element -> Element, FinalizerPtr a)

unElement :: Element -> ForeignPtr Element

castToElement :: GObjectClass obj => obj -> Element

gTypeElement :: GType

newtype Bin

Constructors

Bin (ForeignPtr Bin) |

Instances

Eq Bin |
Ord Bin |
GObjectClass Bin |
BinClass Bin |
ElementClass Bin |
ObjectClass Bin |

class ElementClass o => BinClass o

Instances

BinClass Pipeline |
BinClass Bin |

toBin :: BinClass o => o -> Bin

mkBin :: (ForeignPtr Bin -> Bin, FinalizerPtr a)

unBin :: Bin -> ForeignPtr Bin

castToBin :: GObjectClass obj => obj -> Bin

gTypeBin :: GType

newtype Pipeline

Constructors

Pipeline (ForeignPtr Pipeline) |

Instances

Eq Pipeline |
Ord Pipeline |
GObjectClass Pipeline |
PipelineClass Pipeline |
BinClass Pipeline |
ElementClass Pipeline |
ObjectClass Pipeline |

class BinClass o => PipelineClass o

Instances

PipelineClass Pipeline |

toPipeline :: PipelineClass o => o -> Pipeline

mkPipeline :: (ForeignPtr Pipeline -> Pipeline, FinalizerPtr a)

unPipeline :: Pipeline -> ForeignPtr Pipeline

castToPipeline :: GObjectClass obj => obj -> Pipeline

gTypePipeline :: GType

newtype ImplementsInterface

Constructors

ImplementsInterface (ForeignPtr ImplementsInterface) |

Instances

Eq ImplementsInterface |
Ord ImplementsInterface |
GObjectClass ImplementsInterface |
ImplementsInterfaceClass ImplementsInterface |
ElementClass ImplementsInterface |
ObjectClass ImplementsInterface |

class ElementClass o => ImplementsInterfaceClass o

Instances

ImplementsInterfaceClass ImplementsInterface |

toImplementsInterface :: ImplementsInterfaceClass o => o -> ImplementsInterface

mkImplementsInterface :: (ForeignPtr ImplementsInterface -> ImplementsInterface, FinalizerPtr a)

unImplementsInterface :: ImplementsInterface -> ForeignPtr ImplementsInterface

castToImplementsInterface :: GObjectClass obj => obj -> ImplementsInterface

gTypeImplementsInterface :: GType

newtype TagSetter

Constructors

TagSetter (ForeignPtr TagSetter) |

Instances

Eq TagSetter |
Ord TagSetter |
GObjectClass TagSetter |
TagSetterClass TagSetter |
ElementClass TagSetter |
ObjectClass TagSetter |

class ElementClass o => TagSetterClass o

Instances

TagSetterClass TagSetter |

toTagSetter :: TagSetterClass o => o -> TagSetter

mkTagSetter :: (ForeignPtr TagSetter -> TagSetter, FinalizerPtr a)

unTagSetter :: TagSetter -> ForeignPtr TagSetter

castToTagSetter :: GObjectClass obj => obj -> TagSetter

gTypeTagSetter :: GType

newtype BaseSrc

Constructors

BaseSrc (ForeignPtr BaseSrc) |

Instances

Eq BaseSrc |
Ord BaseSrc |
GObjectClass BaseSrc |
BaseSrcClass BaseSrc |
ElementClass BaseSrc |
ObjectClass BaseSrc |

class ElementClass o => BaseSrcClass o

Instances

BaseSrcClass PushSrc |
BaseSrcClass BaseSrc |

toBaseSrc :: BaseSrcClass o => o -> BaseSrc

mkBaseSrc :: (ForeignPtr BaseSrc -> BaseSrc, FinalizerPtr a)

unBaseSrc :: BaseSrc -> ForeignPtr BaseSrc

castToBaseSrc :: GObjectClass obj => obj -> BaseSrc

gTypeBaseSrc :: GType

newtype PushSrc

Constructors

PushSrc (ForeignPtr PushSrc) |

Instances

Eq PushSrc |
Ord PushSrc |
GObjectClass PushSrc |
PushSrcClass PushSrc |
BaseSrcClass PushSrc |
ElementClass PushSrc |
ObjectClass PushSrc |

class BaseSrcClass o => PushSrcClass o

Instances

PushSrcClass PushSrc |

toPushSrc :: PushSrcClass o => o -> PushSrc

mkPushSrc :: (ForeignPtr PushSrc -> PushSrc, FinalizerPtr a)

unPushSrc :: PushSrc -> ForeignPtr PushSrc

castToPushSrc :: GObjectClass obj => obj -> PushSrc

gTypePushSrc :: GType

newtype BaseSink

Constructors

BaseSink (ForeignPtr BaseSink) |

Instances

Eq BaseSink |
Ord BaseSink |
GObjectClass BaseSink |
BaseSinkClass BaseSink |
ElementClass BaseSink |
ObjectClass BaseSink |

class ElementClass o => BaseSinkClass o

Instances

BaseSinkClass BaseSink |

toBaseSink :: BaseSinkClass o => o -> BaseSink

mkBaseSink :: (ForeignPtr BaseSink -> BaseSink, FinalizerPtr a)

unBaseSink :: BaseSink -> ForeignPtr BaseSink

castToBaseSink :: GObjectClass obj => obj -> BaseSink

gTypeBaseSink :: GType

newtype BaseTransform

Constructors

BaseTransform (ForeignPtr BaseTransform) |

Instances

Eq BaseTransform |
Ord BaseTransform |
GObjectClass BaseTransform |
BaseTransformClass BaseTransform |
ElementClass BaseTransform |
ObjectClass BaseTransform |

class ElementClass o => BaseTransformClass o

Instances

BaseTransformClass BaseTransform |

toBaseTransform :: BaseTransformClass o => o -> BaseTransform

mkBaseTransform :: (ForeignPtr BaseTransform -> BaseTransform, FinalizerPtr a)

unBaseTransform :: BaseTransform -> ForeignPtr BaseTransform

castToBaseTransform :: GObjectClass obj => obj -> BaseTransform

gTypeBaseTransform :: GType

newtype Plugin

Constructors

Plugin (ForeignPtr Plugin) |

Instances

Eq Plugin |
Ord Plugin |
GObjectClass Plugin |
PluginClass Plugin |
ObjectClass Plugin |

class ObjectClass o => PluginClass o

Instances

PluginClass Plugin |

toPlugin :: PluginClass o => o -> Plugin

mkPlugin :: (ForeignPtr Plugin -> Plugin, FinalizerPtr a)

unPlugin :: Plugin -> ForeignPtr Plugin

castToPlugin :: GObjectClass obj => obj -> Plugin

gTypePlugin :: GType

newtype Registry

Constructors

Registry (ForeignPtr Registry) |

Instances

Eq Registry |
Ord Registry |
GObjectClass Registry |
RegistryClass Registry |
ObjectClass Registry |

class ObjectClass o => RegistryClass o

Instances

RegistryClass Registry |

toRegistry :: RegistryClass o => o -> Registry

mkRegistry :: (ForeignPtr Registry -> Registry, FinalizerPtr a)

unRegistry :: Registry -> ForeignPtr Registry

castToRegistry :: GObjectClass obj => obj -> Registry

gTypeRegistry :: GType

newtype Bus

Constructors

Bus (ForeignPtr Bus) |

Instances

Eq Bus |
Ord Bus |
GObjectClass Bus |
BusClass Bus |
ObjectClass Bus |

class ObjectClass o => BusClass o

Instances

BusClass Bus |

toBus :: BusClass o => o -> Bus

mkBus :: (ForeignPtr Bus -> Bus, FinalizerPtr a)

unBus :: Bus -> ForeignPtr Bus

castToBus :: GObjectClass obj => obj -> Bus

gTypeBus :: GType

newtype Clock

Constructors

Clock (ForeignPtr Clock) |

Instances

Eq Clock |
Ord Clock |
GObjectClass Clock |
ClockClass Clock |
ObjectClass Clock |

class ObjectClass o => ClockClass o

Instances

ClockClass NetClientClock |
ClockClass SystemClock |
ClockClass AudioClock |
ClockClass Clock |

toClock :: ClockClass o => o -> Clock

mkClock :: (ForeignPtr Clock -> Clock, FinalizerPtr a)

unClock :: Clock -> ForeignPtr Clock

castToClock :: GObjectClass obj => obj -> Clock

gTypeClock :: GType

newtype AudioClock

Constructors

AudioClock (ForeignPtr AudioClock) |

Instances

Eq AudioClock |
Ord AudioClock |
GObjectClass AudioClock |
AudioClockClass AudioClock |
ClockClass AudioClock |
ObjectClass AudioClock |

class ClockClass o => AudioClockClass o

Instances

AudioClockClass AudioClock |

toAudioClock :: AudioClockClass o => o -> AudioClock

mkAudioClock :: (ForeignPtr AudioClock -> AudioClock, FinalizerPtr a)

unAudioClock :: AudioClock -> ForeignPtr AudioClock

castToAudioClock :: GObjectClass obj => obj -> AudioClock

gTypeAudioClock :: GType

newtype SystemClock

Constructors

SystemClock (ForeignPtr SystemClock) |

Instances

Eq SystemClock |
Ord SystemClock |
GObjectClass SystemClock |
SystemClockClass SystemClock |
ClockClass SystemClock |
ObjectClass SystemClock |

class ClockClass o => SystemClockClass o

Instances

SystemClockClass SystemClock |

toSystemClock :: SystemClockClass o => o -> SystemClock

mkSystemClock :: (ForeignPtr SystemClock -> SystemClock, FinalizerPtr a)

unSystemClock :: SystemClock -> ForeignPtr SystemClock

castToSystemClock :: GObjectClass obj => obj -> SystemClock

gTypeSystemClock :: GType

newtype NetClientClock

Constructors

NetClientClock (ForeignPtr NetClientClock) |

Instances

Eq NetClientClock |
Ord NetClientClock |
GObjectClass NetClientClock |
NetClientClockClass NetClientClock |
ClockClass NetClientClock |
ObjectClass NetClientClock |

class ClockClass o => NetClientClockClass o

Instances

NetClientClockClass NetClientClock |

toNetClientClock :: NetClientClockClass o => o -> NetClientClock

mkNetClientClock :: (ForeignPtr NetClientClock -> NetClientClock, FinalizerPtr a)

unNetClientClock :: NetClientClock -> ForeignPtr NetClientClock

castToNetClientClock :: GObjectClass obj => obj -> NetClientClock

gTypeNetClientClock :: GType

newtype Index

Constructors

Index (ForeignPtr Index) |

Instances

Eq Index |
Ord Index |
GObjectClass Index |
IndexClass Index |
ObjectClass Index |

class ObjectClass o => IndexClass o

Instances

IndexClass Index |

toIndex :: IndexClass o => o -> Index

mkIndex :: (ForeignPtr Index -> Index, FinalizerPtr a)

unIndex :: Index -> ForeignPtr Index

castToIndex :: GObjectClass obj => obj -> Index

gTypeIndex :: GType

newtype PadTemplate

Constructors

PadTemplate (ForeignPtr PadTemplate) |

Instances

Eq PadTemplate |
Ord PadTemplate |
GObjectClass PadTemplate |
PadTemplateClass PadTemplate |
ObjectClass PadTemplate |

class ObjectClass o => PadTemplateClass o

Instances

PadTemplateClass PadTemplate |

toPadTemplate :: PadTemplateClass o => o -> PadTemplate

mkPadTemplate :: (ForeignPtr PadTemplate -> PadTemplate, FinalizerPtr a)

unPadTemplate :: PadTemplate -> ForeignPtr PadTemplate

castToPadTemplate :: GObjectClass obj => obj -> PadTemplate

gTypePadTemplate :: GType

newtype Task

Constructors

Task (ForeignPtr Task) |

Instances

Eq Task |
Ord Task |
GObjectClass Task |
TaskClass Task |
ObjectClass Task |

class ObjectClass o => TaskClass o

Instances

TaskClass Task |

toTask :: TaskClass o => o -> Task

mkTask :: (ForeignPtr Task -> Task, FinalizerPtr a)

unTask :: Task -> ForeignPtr Task

castToTask :: GObjectClass obj => obj -> Task

gTypeTask :: GType

newtype XML

Constructors

XML (ForeignPtr XML) |

Instances

Eq XML |
Ord XML |
GObjectClass XML |
XMLClass XML |
ObjectClass XML |

class ObjectClass o => XMLClass o

Instances

XMLClass XML |

toXML :: XMLClass o => o -> XML

mkXML :: (ForeignPtr XML -> XML, FinalizerPtr a)

unXML :: XML -> ForeignPtr XML

castToXML :: GObjectClass obj => obj -> XML

gTypeXML :: GType

newtype ChildProxy

Constructors

ChildProxy (ForeignPtr ChildProxy) |

Instances

Eq ChildProxy |
Ord ChildProxy |
GObjectClass ChildProxy |
ChildProxyClass ChildProxy |
ObjectClass ChildProxy |

class ObjectClass o => ChildProxyClass o

Instances

ChildProxyClass ChildProxy |

toChildProxy :: ChildProxyClass o => o -> ChildProxy

mkChildProxy :: (ForeignPtr ChildProxy -> ChildProxy, FinalizerPtr a)

unChildProxy :: ChildProxy -> ForeignPtr ChildProxy

castToChildProxy :: GObjectClass obj => obj -> ChildProxy

gTypeChildProxy :: GType

newtype CollectPads

Constructors

CollectPads (ForeignPtr CollectPads) |

Instances

Eq CollectPads |
Ord CollectPads |
GObjectClass CollectPads |
CollectPadsClass CollectPads |
ObjectClass CollectPads |

class ObjectClass o => CollectPadsClass o

Instances

CollectPadsClass CollectPads |

toCollectPads :: CollectPadsClass o => o -> CollectPads

mkCollectPads :: (ForeignPtr CollectPads -> CollectPads, FinalizerPtr a)

unCollectPads :: CollectPads -> ForeignPtr CollectPads

castToCollectPads :: GObjectClass obj => obj -> CollectPads

gTypeCollectPads :: GType

newtype URIHandler

Constructors

URIHandler (ForeignPtr URIHandler) |

Instances

Eq URIHandler |
Ord URIHandler |
GObjectClass URIHandler |
URIHandlerClass URIHandler |

class GObjectClass o => URIHandlerClass o

Instances

URIHandlerClass URIHandler |

toURIHandler :: URIHandlerClass o => o -> URIHandler

mkURIHandler :: (ForeignPtr URIHandler -> URIHandler, FinalizerPtr a)

unURIHandler :: URIHandler -> ForeignPtr URIHandler

castToURIHandler :: GObjectClass obj => obj -> URIHandler

gTypeURIHandler :: GType

newtype Adapter

Constructors

Adapter (ForeignPtr Adapter) |

Instances

Eq Adapter |
Ord Adapter |
GObjectClass Adapter |
AdapterClass Adapter |

class GObjectClass o => AdapterClass o

Instances

AdapterClass Adapter |

toAdapter :: AdapterClass o => o -> Adapter

mkAdapter :: (ForeignPtr Adapter -> Adapter, FinalizerPtr a)

unAdapter :: Adapter -> ForeignPtr Adapter

castToAdapter :: GObjectClass obj => obj -> Adapter

gTypeAdapter :: GType

newtype Controller

Constructors

Controller (ForeignPtr Controller) |

Instances

Eq Controller |
Ord Controller |
GObjectClass Controller |
ControllerClass Controller |

class GObjectClass o => ControllerClass o

Instances

ControllerClass Controller |

toController :: ControllerClass o => o -> Controller

mkController :: (ForeignPtr Controller -> Controller, FinalizerPtr a)

unController :: Controller -> ForeignPtr Controller

castToController :: GObjectClass obj => obj -> Controller

gTypeController :: GType